%global __strip %{mingw_strip}
%global __objdump %{mingw_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{mingw_findrequires}
%global __find_provides %{mingw_findprovides}
%define __debug_install_post %{mingw_debug_install_post}

%global mingw_pkg_name portablexdr
%global mingw_build_win32 1
%global mingw_build_win64 1

Name:		mingw-portablexdr
Version:	4.9.1
Release:	4%{?dist}
Summary:	MinGW Windows PortableXDR / RPC Library

License:	LGPLv2+
Group:		Development/Libraries
URL:		http://et.redhat.com/~rjones/portablexdr/
Source0:	http://et.redhat.com/~rjones/portablexdr/portablexdr-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
# Remove include of config.h from public header.
Patch0:         portablexdr-4.9.1-no-config-h.patch
Patch1:          mingw-portablexdr-replace-pointer-to-long-cast-with-pointer-to-uintptr.patch

BuildRequires:  mingw32-filesystem >= 65
BuildRequires:  mingw64-filesystem >= 65
BuildRequires:	mingw32-gcc
BuildRequires:	mingw64-gcc
BuildRequires:	mingw32-binutils
BuildRequires:	mingw64-binutils

%{?mingw_default_requires}
%{?mingw_debug_package}

%description
MinGW Windows PortableXDR XDR / RPC library.

#mingw32
%package -n mingw32-%{mingw_pkg_name}
Summary:        %{summary}

%description  -n mingw32-%{mingw_pkg_name}
MinGW Windows PortableXDR XDR / RPC library.

#mingw64
%package -n mingw64-%{mingw_pkg_name}
Summary:        %{summary}

%description  -n mingw64-%{mingw_pkg_name}
MinGW Windows PortableXDR XDR / RPC library.

%prep
%setup -q -n portablexdr-%{version}
%patch0 -p1
%patch1 -p1

%build
%mingw_configure "--disable-static"
%mingw_make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%mingw_make_install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files -n mingw32-%{mingw_pkg_name}
%defattr(-,root,root)
%doc COPYING.LIB
%{mingw32_bindir}/portable-rpcgen.exe
%{mingw32_bindir}/libportablexdr-0.dll
%{mingw32_libdir}/libportablexdr.dll.a
%{mingw32_libdir}/libportablexdr.la
%{mingw32_includedir}/rpc

%files -n mingw64-%{mingw_pkg_name}
%defattr(-,root,root)
%doc COPYING.LIB
%{mingw64_bindir}/portable-rpcgen.exe
%{mingw64_bindir}/libportablexdr-0.dll
%{mingw64_libdir}/libportablexdr.dll.a
%{mingw64_libdir}/libportablexdr.la
%{mingw64_includedir}/rpc

%changelog
* Wed Aug 17 2011 Marc-André Lureau <marcandre.lureau@redhat.com> - 4.9.1-4
- Updated to newer mingw instructions (with mingw64 support)

* Tue Jul  5 2011 Richard W.M. Jones <rjones at redhat.com> - 4.9.1-3
- Remove include of config.h from public header.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.9.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 13 2010 Ryan O'Hara <rohara@redhat.com> - 4.9.1-1
- New upstream release 4.9.1.

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 4.0.11-4
- Rebuild for mingw32-gcc 4.4

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 4.0.11-3
- Include license file.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 4.0.11-2
- Disable static libraries.
- Use _smp_flags.

* Wed Oct 15 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.11-1
- New upstream version 4.0.11.

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.10-5
- Rename mingw -> mingw32.

* Wed Sep 10 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.10-4
- Remove static library.

* Fri Sep  5 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.10-3
- Use RPM macros from mingw-filesystem.

* Tue Sep  2 2008 Daniel P. Berrange <berrange@redhat.com> - 4.0.10-2
- List files explicitly and set custom CFLAGS

* Tue Jul  8 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.10-1
- New upstream release 4.0.10.
- No need to manually install header files in this version.

* Mon Jul  7 2008 Richard W.M. Jones <rjones@redhat.com> - 4.0.9-2
- Initial RPM release, largely based on earlier work from several sources.
